%define rev	0
%define major	3
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d
# Set release here!
%define rel	2

%if %{rev}
%define release	%mkrel -c %{rev} %{rel}
%else
%define release	%mkrel %{rel}
%endif

Name:		gigedit
Summary:	Instrument editor for gig files
Version:	1.0.0
Release:	%{release}
License:	GPLv2+
Group:		Sound/Utilities
URL:		http://www.linuxsampler.org/
# Make pre-release tarball in SOURCES from svn with:
# $ ./mk_svn_tar gigedit https://svn.linuxsampler.org/svn/gigedit/trunk tar.gz -a
%if %{rev}
Source0:	%{name}-%{rev}.tar.bz2
%else
Source0:	%{name}-%{version}.tar.bz2
%endif
Source1:	mk_svn_tar

BuildRequires:	perl(XML::Parser)
BuildRequires:	pkgconfig(gtkmm-2.4)
BuildRequires:	pkgconfig(gig) >= 4.0.0
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	pkgconfig(linuxsampler) >= 2.0.0
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	xsltproc
BuildRequires:	intltool
BuildRequires:	docbook-style-xsl

%description
An instrument editor for gig files

%files -f %{name}.lang
%{_bindir}/gigedit
%{_datadir}/gigedit/status_attached.xpm
%{_datadir}/gigedit/status_detached.xpm
%{_datadir}/applications/%{name}.desktop
%dir %{_docdir}/gigedit
%doc %{_docdir}/gigedit/*.png
%doc %{_docdir}/gigedit/*.css
%doc %{_docdir}/gigedit/*.html

#--------------------------------------------------------------------

%package -n %{libname}
Group:		System/Libraries
Summary:	Libraries for %{name}
Provides:	%{name} = %{version}-%{release}

%description -n %{libname}
Libraries from %{name}

%files -n %{libname}
%_libdir/gigedit/libgigedit.so.%{major}*
# Required at runtime so moved here from devel package:-
%_libdir/linuxsampler/plugins/libgigeditlinuxsamplerplugin.so

#--------------------------------------------------------------------

%package -n %{develname}
Group:		Development/Other
Summary:	Libraries for %{name}
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{_lib}%{name}1-devel <= %{version}-%{release}

%description -n %{develname}
Development libraries from %{name}

%files -n %{develname}
%_libdir/gigedit/*.so

#--------------------------------------------------------------------

%prep
%if %{rev}
%setup -q -n %{name}
%else
%setup -q
%endif

%build
CXXFLAGS="%{optflags} -std=gnu++11" \
%configure2_5x
%make

%install
%make_install
%find_lang %{name}
find %{buildroot} -regex ".*\(a\|la\)$" -delete

# Desktop file
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOL
[Desktop Entry]
Comment[en_GB]=An instrument editor for gig files
Comment=An instrument editor for gig files
Exec=gigedit
GenericName[en_GB]=Gigedit
GenericName=Gigedit
Icon=audio-midi
MimeType=audio/midi;
Name[en_GB]=Gigedit
Name=Gigedit
StartupNotify=true
Terminal=false
Type=Application
Categories=Audio;AudioVideo;Midi;X-Mageia-CrossDesktop;
X-KDE-SubstituteUID=false
EOL


%changelog
* Sun Feb 21 2016 luigiwalser <luigiwalser> 1.0.0-2.mga6
+ Revision: 975384
- BR docbook-style-xsl for docbook.xsl

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Sat Oct 24 2015 barjac <barjac> 1.0.0-1.mga6
+ Revision: 894818
- new version 1.0.0

* Mon Aug 31 2015 cjw <cjw> 0.2.0-1.2671.4.mga6
+ Revision: 871423
- add -std=gnu++11 to CXXFLAGS to fix build with latest libsigc++

* Wed Oct 15 2014 umeabot <umeabot> 0.2.0-1.2671.3.mga5
+ Revision: 748354
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.0-1.2671.2.mga5
+ Revision: 679570
- Mageia 5 Mass Rebuild

* Tue Sep 02 2014 barjac <barjac> 0.2.0-1.2671.1.mga5
+ Revision: 670974
- new snapshot 2671

* Tue May 13 2014 barjac <barjac> 0.2.0-1.2546.3.mga5
+ Revision: 622403
- new snapshot 2546
- use find --delete

* Sat Oct 19 2013 umeabot <umeabot> 0.2.0-1.2459.2.mga4
+ Revision: 531785
- Mageia 4 Mass Rebuild

* Sun Aug 11 2013 barjac <barjac> 0.2.0-1.2459.1.mga4
+ Revision: 465341
- new snapshot 2459
- use std macros

* Sat Jan 12 2013 umeabot <umeabot> 0.2.0-1.2379.2.mga3
+ Revision: 351552
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 11 2013 barjac <barjac> 0.2.0-1.2379.1.mga3
+ Revision: 348061
- correct release format as interim until version update

* Fri Nov 16 2012 barjac <barjac> 0.2.0-1.2379.mga3
+ Revision: 318411
- add desktop file
- moved libgigeditlinuxsamplerplugin.so to lib package as it is needed at run time

* Thu Nov 15 2012 barjac <barjac> 0.2.0-0.2379.mga3
+ Revision: 317989
- spec cleaned
- removed static libs
- added BR xsltproc
- fixed unversioned explicit obsolete
- added mk_svn_tar script to create tarball from svn
- fixed group
- Import from Mandriva

